ru.bitel.bgbilling.modules.agr.server.bean

## Class AGRConstants

- java.lang.Object
- - ru.bitel.bgbilling.modules.agr.server.bean.AGRConstants

-     public final class AGRConstants
      extends java.lang.Object

  Набор констант платежного модуля AGR, которые прописаны в конфиге модуля

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AGR_TRANS_ID`
    `static java.lang.String` | `ANSWER_PARAM_ERROR`
    `static java.lang.String` | `ANSWER_PARAM_ERROR_NOTE`
    `static java.lang.String` | `ANSWER_PARAMETER_PARAMETERS`
    `static java.lang.String` | `ANSWER_PARAMETER_TRANSACTIONS`
    `static java.lang.String` | `ANSWER_VENDOR_TRANS_ID`
    `static java.lang.String` | `CHECK_STATUS_URL` Url проверки статуса транзакции
    `static java.lang.String` | `DEFAULT_AGR_MODE` значение по умолчанию для режима работы модуля - песочница, а не реальные платежи
    `static java.math.BigDecimal` | `DEFAULT_MAX_SUM` Значение по умолчанию для максимальной суммы оплаты
    `static java.math.BigDecimal` | `DEFAULT_MIN_SUM` Значение по умолчанию для минимальной суммы оплаты
    `static java.lang.String` | `DEFAULT_PAYMENT_COMMENT` комментарий платежа по умолчанию, если не задан в конфигурации.
    `static java.lang.String` | `DEFAULT_TRANSACTION_COMMENT` комментарий платежа по умолчанию, если не задан в конфигурации.
    `static java.lang.String` | `DEFAULT_TRANSACTION_FORMAT` формат транзакции по умолчанию, если не задан в конфигурации.
    `static java.lang.String` | `ENVIRONMENT`
    `static java.lang.String` | `FIELD_AGR_TRANS_ID`
    `static java.lang.String` | `FIELD_DATE`
    `static java.lang.String` | `FIELD_ENVIRONMENT`
    `static java.lang.String` | `FIELD_MERCHANT_TRANS_AMOUNT`
    `static java.lang.String` | `FIELD_MERCHANT_TRANS_ID`
    `static java.lang.String` | `FIELD_STATE`
    `static java.lang.String` | `FIELD_VENDOR_TRANS_ID`
    `static java.lang.String` | `FROM`
    `static java.lang.String` | `KEY_AGR_CURRENCY` название параметра конфигурации, в котором задается название валюты.
    `static java.lang.String` | `KEY_AGR_DEFAULT_PAYMENT_TYPE` Название параметра конфигурации, в котором задается тип платежа по умолчанию, под которым будут заноситься все платежи, если в конфигурации не указано соответствие между конкретной платежной системой и типом платежа
    `static java.lang.String` | `KEY_AGR_MAX_SUM` Название параметра конфигурации, в котором задается Максимальная сумма к оплате
    `static java.lang.String` | `KEY_AGR_MIN_SUM` Название параметра конфигурации, в котором задается Минимальная сумма к оплате
    `static java.lang.String` | `KEY_AGR_MODE` название параметра конфигурации, в котором задается название валюты.
    `static java.lang.String` | `KEY_AGR_PAYMENT_COMMENT` Название параметра конфигурации, в котором задается комментарий платежа
    `static java.lang.String` | `KEY_AGR_PAYMENT_TYPE_PREFIX` Название параметра конфигурации, в котором задается префикс,в котором прописывается соответствие между названием платежной системы в AGR и типом платежа в биллинге.
    `static java.lang.String` | `KEY_AGR_SECRET` Название параметра конфигурации, в котором задается секрет для проверки подписи запросов ПС.
    `static java.lang.String` | `KEY_AGR_TRANSACTION_COMMENT` Название параметра конфигурации, в котором задается комментарий, который увидит абонент при оплате
    `static java.lang.String` | `KEY_AGR_TRANSACTION_FORMAT` Название параметра конфигурации, в котором задается формат транзакции
    `static java.lang.String` | `KEY_AGR_VENDOR_ID` название параметра конфигурации, в котором задается идентификатор провайдера в системе agr.
    `static java.lang.String` | `MERCHANT_TRANS_AMOUNT`
    `static java.lang.String` | `MERCHANT_TRANS_ID`
    `static java.lang.String` | `PAY_URL` Url для реальных платежей
    `static java.lang.String` | `PAYMENT_ID`
    `static java.lang.String` | `PAYMENT_NAME`
    `static java.lang.String` | `SANDBOX_URL` Url песочницы
    `static java.lang.String` | `SIGN_STRING`
    `static java.lang.String` | `SIGN_TIME`
    `static java.lang.String` | `STATUS`
    `static java.lang.String` | `TO`
    `static java.lang.String` | `VENDOR_ID`
    `static java.lang.String` | `VENDOR_TRANS_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AGRConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MIN_SUM

          public static final java.math.BigDecimal DEFAULT_MIN_SUM

      Значение по умолчанию для минимальной суммы оплаты

    - #### DEFAULT_MAX_SUM

          public static final java.math.BigDecimal DEFAULT_MAX_SUM

      Значение по умолчанию для максимальной суммы оплаты

    - #### DEFAULT_TRANSACTION_FORMAT

          public static final java.lang.String DEFAULT_TRANSACTION_FORMAT

      формат транзакции по умолчанию, если не задан в конфигурации. Формируется путем сложения с кодом транзакции из таблицы платежей модуля AGR.
      See Also:
        Constant Field Values

    - #### DEFAULT_PAYMENT_COMMENT

          public static final java.lang.String DEFAULT_PAYMENT_COMMENT

      комментарий платежа по умолчанию, если не задан в конфигурации. Есть макроподстановки: id транзакции и название ПС, через которую прошел платеж
      See Also:
        Constant Field Values

    - #### DEFAULT_TRANSACTION_COMMENT

          public static final java.lang.String DEFAULT_TRANSACTION_COMMENT

      комментарий платежа по умолчанию, если не задан в конфигурации. Есть макроподстановки: id транзакции и название ПС, через которую прошел платеж
      See Also:
        Constant Field Values

    - #### DEFAULT_AGR_MODE

          public static final java.lang.String DEFAULT_AGR_MODE

      значение по умолчанию для режима работы модуля - песочница, а не реальные платежи
      See Also:
        Constant Field Values

    - #### KEY_AGR_TRANSACTION_COMMENT

          public static final java.lang.String KEY_AGR_TRANSACTION_COMMENT

      Название параметра конфигурации, в котором задается комментарий, который увидит абонент при оплате
      See Also:
        Constant Field Values

    - #### KEY_AGR_SECRET

          public static final java.lang.String KEY_AGR_SECRET

      Название параметра конфигурации, в котором задается секрет для проверки подписи запросов ПС.
      See Also:
        Constant Field Values

    - #### KEY_AGR_TRANSACTION_FORMAT

          public static final java.lang.String KEY_AGR_TRANSACTION_FORMAT

      Название параметра конфигурации, в котором задается формат транзакции
      See Also:
        Constant Field Values

    - #### KEY_AGR_MIN_SUM

          public static final java.lang.String KEY_AGR_MIN_SUM

      Название параметра конфигурации, в котором задается Минимальная сумма к оплате
      See Also:
        Constant Field Values

    - #### KEY_AGR_MAX_SUM

          public static final java.lang.String KEY_AGR_MAX_SUM

      Название параметра конфигурации, в котором задается Максимальная сумма к оплате
      See Also:
        Constant Field Values

    - #### KEY_AGR_PAYMENT_COMMENT

          public static final java.lang.String KEY_AGR_PAYMENT_COMMENT

      Название параметра конфигурации, в котором задается комментарий платежа
      See Also:
        Constant Field Values

    - #### KEY_AGR_PAYMENT_TYPE_PREFIX

          public static final java.lang.String KEY_AGR_PAYMENT_TYPE_PREFIX

      Название параметра конфигурации, в котором задается префикс,в котором прописывается соответствие между названием платежной системы в AGR и типом платежа в биллинге.
      See Also:
        Constant Field Values

    - #### KEY_AGR_DEFAULT_PAYMENT_TYPE

          public static final java.lang.String KEY_AGR_DEFAULT_PAYMENT_TYPE

      Название параметра конфигурации, в котором задается тип платежа по умолчанию, под которым будут заноситься все платежи, если в конфигурации не указано соответствие между конкретной платежной системой и типом платежа
      See Also:
        Constant Field Values

    - #### KEY_AGR_VENDOR_ID

          public static final java.lang.String KEY_AGR_VENDOR_ID

      название параметра конфигурации, в котором задается идентификатор провайдера в системе agr.
      See Also:
        Constant Field Values

    - #### KEY_AGR_CURRENCY

          public static final java.lang.String KEY_AGR_CURRENCY

      название параметра конфигурации, в котором задается название валюты.
      See Also:
        Constant Field Values

    - #### KEY_AGR_MODE

          public static final java.lang.String KEY_AGR_MODE

      название параметра конфигурации, в котором задается название валюты.
      See Also:
        Constant Field Values

    - #### PAY_URL

          public static final java.lang.String PAY_URL

      Url для реальных платежей
      See Also:
        Constant Field Values

    - #### SANDBOX_URL

          public static final java.lang.String SANDBOX_URL

      Url песочницы
      See Also:
        Constant Field Values

    - #### CHECK_STATUS_URL

          public static final java.lang.String CHECK_STATUS_URL

      Url проверки статуса транзакции
      See Also:
        Constant Field Values

    - #### MERCHANT_TRANS_ID

          public static final java.lang.String MERCHANT_TRANS_ID

      See Also:
        Constant Field Values

    - #### SIGN_TIME

          public static final java.lang.String SIGN_TIME

      See Also:
        Constant Field Values

    - #### SIGN_STRING

          public static final java.lang.String SIGN_STRING

      See Also:
        Constant Field Values

    - #### PAYMENT_NAME

          public static final java.lang.String PAYMENT_NAME

      See Also:
        Constant Field Values

    - #### PAYMENT_ID

          public static final java.lang.String PAYMENT_ID

      See Also:
        Constant Field Values

    - #### AGR_TRANS_ID

          public static final java.lang.String AGR_TRANS_ID

      See Also:
        Constant Field Values

    - #### MERCHANT_TRANS_AMOUNT

          public static final java.lang.String MERCHANT_TRANS_AMOUNT

      See Also:
        Constant Field Values

    - #### VENDOR_TRANS_ID

          public static final java.lang.String VENDOR_TRANS_ID

      See Also:
        Constant Field Values

    - #### ENVIRONMENT

          public static final java.lang.String ENVIRONMENT

      See Also:
        Constant Field Values

    - #### STATUS

          public static final java.lang.String STATUS

      See Also:
        Constant Field Values

    - #### FROM

          public static final java.lang.String FROM

      See Also:
        Constant Field Values

    - #### TO

          public static final java.lang.String TO

      See Also:
        Constant Field Values

    - #### VENDOR_ID

          public static final java.lang.String VENDOR_ID

      See Also:
        Constant Field Values

    - #### ANSWER_PARAM_ERROR

          public static final java.lang.String ANSWER_PARAM_ERROR

      See Also:
        Constant Field Values

    - #### ANSWER_PARAM_ERROR_NOTE

          public static final java.lang.String ANSWER_PARAM_ERROR_NOTE

      See Also:
        Constant Field Values

    - #### ANSWER_PARAMETER_PARAMETERS

          public static final java.lang.String ANSWER_PARAMETER_PARAMETERS

      See Also:
        Constant Field Values

    - #### ANSWER_VENDOR_TRANS_ID

          public static final java.lang.String ANSWER_VENDOR_TRANS_ID

      See Also:
        Constant Field Values

    - #### ANSWER_PARAMETER_TRANSACTIONS

          public static final java.lang.String ANSWER_PARAMETER_TRANSACTIONS

      See Also:
        Constant Field Values

    - #### FIELD_ENVIRONMENT

          public static final java.lang.String FIELD_ENVIRONMENT

      See Also:
        Constant Field Values

    - #### FIELD_AGR_TRANS_ID

          public static final java.lang.String FIELD_AGR_TRANS_ID

      See Also:
        Constant Field Values

    - #### FIELD_VENDOR_TRANS_ID

          public static final java.lang.String FIELD_VENDOR_TRANS_ID

      See Also:
        Constant Field Values

    - #### FIELD_MERCHANT_TRANS_ID

          public static final java.lang.String FIELD_MERCHANT_TRANS_ID

      See Also:
        Constant Field Values

    - #### FIELD_MERCHANT_TRANS_AMOUNT

          public static final java.lang.String FIELD_MERCHANT_TRANS_AMOUNT

      See Also:
        Constant Field Values

    - #### FIELD_STATE

          public static final java.lang.String FIELD_STATE

      See Also:
        Constant Field Values

    - #### FIELD_DATE

          public static final java.lang.String FIELD_DATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AGRConstants

          public AGRConstants()